#ifndef _PCF8591_H
#define _PCF8591_H

#include <avr/io.h>

/*initalize TWI*/
inline void extadc_init (void);
/*send start condition*/
extern unsigned char extadc_send_start (void);
/*send stop condition*/
extern void extadc_send_stop (void);
/*send eeprom address with set or cleared R/W-Bit
parameters: address: 0 ... 7
			rw: 0 for write, 1 for read access*/
extern unsigned char extadc_send_add_rw (unsigned char address, unsigned char rw);
/*send byte*/
extern unsigned char extadc_send_byte (unsigned char byte);
/*read byte*/
extern unsigned char extadc_read_byte (void);
/*read last byte -> no ACK*/
extern unsigned char extadc_read_last_byte (void);

/*set voltage on output-pin, voltage: 0...255*/
extern void extadc_set_voltage (unsigned char voltage, unsigned char adress);

/*get voltage on input-pin, pin: 0...3*/
extern unsigned char extadc_get_voltage (unsigned char pin, unsigned char adress);


#endif

